<?php

class Ambient{

	// Adds an ambient to the ambient file
	function addAmbient($path,$ambFile){
			
		if(!Ambient::checkAmbient($path,$ambFile)){
			$handle = fopen($ambFile,'a');
			fwrite($handle,$path."\n");
			fclose($handle);
			return 12; //Path added succesfully
		}else{
			return 13; // Path already exists
		}
	}

	// Check if an ambient is already in the ambient file
	static function checkAmbient($path,$ambFile){

		if(file_exists($ambFile)){
			$handle = fopen($ambFile,'r');

			while(!feof($handle)){
				$line = fgets($handle);
				if($line == $path."\n"){
					return true;
				}
			}
			fclose($handle);
			return false;
		}else{
			return false;
		}
	}

	// Returns all the ambients in the file on a list
	static function getAmbients($ambFile){
		if(file_exists($ambFile)){
			$handle = fopen($ambFile,'r');
			$result = array();
			$index = 0;

			while(!feof($handle)){
				$result[$index] = fgets($handle);
				$index++;
			}
			fclose($handle);
			return $result;
		}else{
			return false;
		}
	}

	// Delete an ambient in the ambient file
	function delAmbient($path,$ambFile){
		$ambients = Ambient::getAmbients($ambFile);
		$handle = fopen($ambFile,'w');
		//throw new Exception(count($ambients));
		for ($i = 0; $i < count($ambients); $i++) {
			$line = $ambients[$i];
			if($line !== $path."\n"){
				fwrite($handle,$line);
			}
		}
		fclose($handle);

		return 14; // The ambient was deleted succesfully (it wasn't even there.)
			
	}
}

?>