var type_dict;
var langs;

function getInfo(){
	getXml("GET",adress + '?mod=get_conf_info','','xml',orderInfo);	
}

function orderInfo(xml){
	$(xml).find("category").each(function(){
		var name = $(this).text();
		$('#const_cat').append(createOption(name,name,false));		
	});
	
	$(xml).find("type").each(function(){
		var name = $(this).text();
		$('#const_type').append(createOption(name,name,false));		
	});
	
	getLangs();
	
	if (window.DOMParser){
		type_dict = xml;
	}else{ // Internet Explorer
		type_dict=new ActiveXObject("Microsoft.XMLDOM");
		type_dict.async="false";
		type_dict.loadXML(xml); 
	}
}

function getLangs(){
	getXml("GET",adress + '?mod=get_lang','','xml',createLangInput);
}

function createLangInput(xml){
	var txt = '';
	$(xml).find('language').each(function(){
		var name = $(this).text();
		var value = $(this).attr('value');
		
		txt+='<tr><td align="right">'+name+'</td><td colspan="2"><input type="text"id="'+value+'" name="'+value+'"/></td></tr>';
	});
	$('#dictionary_inputs').replaceWith(txt);
	
	if (window.DOMParser){
		langs = xml;
	}else{ // Internet Explorer
		langs=new ActiveXObject("Microsoft.XMLDOM");
		langs.async="false";
		langs.loadXML(xml); 
	}
}

function getTypeTooltip(){
	var value = getValue('const_type');		
	$(type_dict).find('entry').each(function(){		
		var id = $(this).attr('id');		
		if(id == value){
			var txt = '';
			
			$(this).find('lang').each(function(){
				var lng =  $(this).attr('lang');
				if(lng == lang){
					txt = $(this).text();
				}				
			});
			$('#type_tooltip').attr('title',txt);
		}	
	});	
}

function createDefDiv(type,id,size){
	return '<div id="'+id+'"><input type="'+type+'" name="'+id+'"  class="'+id+'" size="'+size+'"></div>';
}

function createDefDivSelect(id){
	return '<div id="'+id+'"><select name="'+id+'" id="sel_'+id+'"></select></div>';
}

function generateTest(id,main){
	var num = parseInt(getValue(main));
	var str = $('#option_num').html();
	str = str.replace(/%num%/g, num);

	
	$('#sel_const_def').append(createOptionId(num,str,false,'option_'+num));
	
	generate(id,main);	
}

function removeTest(main,min){	
	remove(main,min);
	
	var num = parseInt(getValue(main));	
	$('#option_'+num).remove();
}


function changeType(){
	var value = getValue('const_type');		
	var id = "#const_def"
	
	$('#optionSelect').replaceWith("<table id='optionSelect' class='optionCount'></table>");	
	$('#optionField').hide();
	
	switch(value){
		case 'option': 
			var text = "<tr><td colspan='2'><input type='hidden'name='optionCount' id='optionCount' value='0'></td></tr>";
			$('#optionSelect').append(text);				
			$('#optionField').show();
			$(id).replaceWith(createDefDivSelect("const_def"));
			break;
		case 'password':
			$(id).replaceWith(createDefDiv("password","const_def",""));
			break;
		case 'Boolean':
		case 'intBoolean':
			$(id).replaceWith(createDefDiv("checkbox","const_def","0"));
			break;
		case 'String':
		case 'date':
		case 'Path':
			$(id).replaceWith(createDefDiv("text","const_def",""));
			break;
		default:
			$(id).replaceWith(createDefDiv("text","const_def","6"));
			break;
	}	

	
	id = '.const_def';
	
	switch(value){
		case 'int':
		case 'StringInt':
			$(id).numeric({
				increment : 1,
				emptyValue : false,
				minValue : 0
			});
			break;
		case 'MB':
			$(id).numeric({
				increment : 1,
				emptyValue : false,
				minValue : 0,
				showCurrency : true,
				currencySymbol : 'MB'
			});
			break;
		case 'negMB':
			$(id).numeric({
				increment : 1,
				emptyValue : false,
				minValue : -1,
				showCurrency : true,
				currencySymbol : 'MB'
			});			
			break;
		case 'date':
			$(id).datepicker({
				dateFormat : 'yy-mm-dd'
			});
			break;
		case 'port':
			$(id).numeric({
				increment : 1,
				emptyValue : false,
				minValue : 0,
				maxValue : 65535
			});
			break;
	}
	
}

function checkForm(){
	var error = $("#error_1").html()+'\n';
	var report = 0;
	
	if(isEmpty("const_name")){
		report = 1;
		error +=  $("#error_16").html()+"\n";
	}	
	
	$(langs).find('language').each(function(){
		var value = $(this).attr('value');
		var name = $(this).text();
		
		var prefix = $("#error_15").html();
		var suffix = $("#error_14").html();
		
		if(isEmpty(value)){
			report = 1;
			error += prefix + name + suffix + '\n';
		}	
	});
	
	if(isEmpty("const_opt")){
		if(!$('.const_def').val()){
			report = 1;
			error += $("#error_17").html()+"\n";
		}
	}
	
	if (report == 1){
		alert(error);
		return false;
	}
	
	return true;
}

getInfo();
$(document).ajaxStop(function(){changeType();});